# GrowlDisplayPlugin

## Abstract

The display plugin protocol.

## Discussion

This protocol declares all methods supported by Growl display plugins.

## Methods

`-displayNotificationWithInfo:`
  Tells the display plugin to display a notification with the given information.

### displayNotificationWithInfo:

Tells the display plugin to display a notification with the given information.

>     - (void) displayNotificationWithInfo:(NSDictionary *) noteDict

##### Parameter Descriptions

> `noteDict`
>   The userInfo dictionary that describes the notification.

##### Discussion

This method is not required to display to the screen. For example, 0.6 comes with a Log display which writes the notification to a file or the Console log, a MailMe display which sends the notification in an email message, and a Speech display which reads the notification's description aloud.

© The Growl Project (Last Updated May 14, 2005)